summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2016-10-13 21:19:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-14 22:19:58 +0700
commitf4e4f1da7fc0ae437827bbba1ebe3cefe62eb545 (patch)
tree8534c8087bd6eb8689aeb08cee921742a452beb5 /desktop
parentd58aff607983461b51e851a39bbfeab02436d338 (diff)
downloadslackbuilds-f4e4f1da7fc0ae437827bbba1ebe3cefe62eb545.tar.gz
slackbuilds-f4e4f1da7fc0ae437827bbba1ebe3cefe62eb545.tar.xz
desktop/xkblayout-state: Added (get/set the keyboard layout).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xkblayout-state/README4
-rw-r--r--desktop/xkblayout-state/slack-desc19
-rw-r--r--desktop/xkblayout-state/xkblayout-state.SlackBuild75
-rw-r--r--desktop/xkblayout-state/xkblayout-state.info10
4 files changed, 108 insertions, 0 deletions
diff --git a/desktop/xkblayout-state/README b/desktop/xkblayout-state/README
new file mode 100644
index 0000000000..fa61c79ff4
--- /dev/null
+++ b/desktop/xkblayout-state/README
@@ -0,0 +1,4 @@
+A small command-line program to get/set the current keyboard layout.
+
+It's a thin wrapper around a slightly version of XKeyboard class by
+Jay Bromley
diff --git a/desktop/xkblayout-state/slack-desc b/desktop/xkblayout-state/slack-desc
new file mode 100644
index 0000000000..63458820c9
--- /dev/null
+++ b/desktop/xkblayout-state/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xkblayout-state: xkblayout-state (get/set the keyboard layout)
+xkblayout-state:
+xkblayout-state: A small command-line program to get/set the current keyboard layout.
+xkblayout-state:
+xkblayout-state: It's a thin wrapper around a slightly version of XKeyboard class by
+xkblayout-state: Jay Bromley
+xkblayout-state:
+xkblayout-state: Homepage: https://github.com/nonpop/xkblayout-state/
+xkblayout-state:
+xkblayout-state:
+xkblayout-state:
diff --git a/desktop/xkblayout-state/xkblayout-state.SlackBuild b/desktop/xkblayout-state/xkblayout-state.SlackBuild
new file mode 100644
index 0000000000..c53f2ebe68
--- /dev/null
+++ b/desktop/xkblayout-state/xkblayout-state.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for xkblayout-state
+
+# Copyright 2016, Alexander Verbovetsky, Moscow Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xkblayout-state
+VERSION=${VERSION:-1b_git20150804}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+HASH=${HASH:-c5e17d2436bc95927abb6b04f0517a2a44772f4b}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$HASH
+tar xvf $CWD/$PRGNAM-$HASH.tar.gz
+cd $PRGNAM-$HASH
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+install -m 0755 -o root -g root xkblayout-state $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xkblayout-state/xkblayout-state.info b/desktop/xkblayout-state/xkblayout-state.info
new file mode 100644
index 0000000000..3e9732a9fe
--- /dev/null
+++ b/desktop/xkblayout-state/xkblayout-state.info
@@ -0,0 +1,10 @@
+PRGNAM="xkblayout-state"
+VERSION="1b_git20150804"
+HOMEPAGE="https://github.com/nonpop/xkblayout-state/"
+DOWNLOAD="https://github.com/nonpop/xkblayout-state/archive/c5e17d2436bc95927abb6b04f0517a2a44772f4b/xkblayout-state-c5e17d2436bc95927abb6b04f0517a2a44772f4b.tar.gz"
+MD5SUM="ff2660d23fae52a9dd8bf6e6c59e456d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"